{

    //SP回复及Actor_SPGetRatio测试脚本

    "AbilityName": "TestPlayer_Ability_Tianheng_86",

    "AbilityStacking": "Unique",



    "DefaultModifier":

    {

        "OnAdded":

        [

            {

                "$type" : "MoleMole.FireEffect",

                "EffectPattern" : "Eff_Avatar_LevelUp_01",

                "Target" : "Self",

            },

            {

                "$type": "MoleMole.ApplyModifier",

                "ModifierName": "RecoverSPModifier", 

                "Target":"Self",

            },

        ],

    },



    "OnAbilityStart":

    [

        {

            "$type" : "MoleMole.FireEffect",

            "EffectPattern" : "Eff_Avatar_LevelUp_02",

            "Target" : "Self",

        },

        {

            "$type": "MoleMole.ApplyModifier",

            "ModifierName": "SPGetRatioModifier"

        }

    ],



    "Modifiers" : 

    {

        "RecoverSPModifier":

        {

            "ModifierStacking" : "Unique",

            "Duration": -1,



            "ModifierMixins" :

            [

                {

                    "$type": "MoleMole.SmoothRecoverSPMixin",

                    "IgnoreRatio":false,

                    "PropertyItem" : 

                    {

                        "PropertyModifyFunction": "Add",

                        "Percentage": 0,

                        "Amount": 10,

                    },

                }

            ]

        },



        "SPGetRatioModifier":

        {

            "Properties":

            {

                "Actor_SPGetRatio": -9999.0,

            },

        }

    },

}